Skip to content

Delete Damage Report ​

Delete a damage report.

Endpoint ​

INFO

DELETE /api/v1/admin/damages/{damage}

Headers ​

HeaderValueRequired
Acceptapplication/jsonYes
AuthorizationBearer {token}Yes

Path Parameters ​

ParameterTypeDescription
damageintegerDamage report ID

Example Request ​

bash
curl -X DELETE https://api.daakey.com/api/v1/admin/damages/1 \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {token}"

Response ​

Success (200) ​

json
{
  "success": true,
  "message": "Damage report deleted",
  "data": null,
  "request_id": "uuid",
  "timestamp": "2024-01-01T00:00:00.000Z"
}

Notes ​

  • Only unresolved damages can be deleted
  • Resolved damages are archived for record-keeping

Daakey Car Sharing Platform